Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Readiness probe, checks dependencies

GET
/ready

Pings ClickHouse, the one dependency the api cannot serve without; 503 with the error while it is down (Redis and RabbitMQ are optional: without them the api degrades, it does not stop).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/ready"
{  "components": {    "clickhouse": "ok"  },  "status": "ok"}